Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

Raspberry Pi 3 and Qt6: ERROR: The OpenGL functionality tests failed!



  • I'm trying to build Qt6 from Git as explained here. I am getting the error:

    ERROR: The OpenGL functionality tests failed!  You might need to modify the include and library search paths by editing QMAKE_INCDIR_OPENGL[_ES2], QMAKE_LIBDIR_OPENGL[_ES2] and QMAKE_LIBS_OPENGL[_ES2] in the mkspec for your platform.
    

    I've tried the solutions described here:

    Re: Qt 6.0 build from source on Raspberry Pi 4 "Opengl functionality tests failed"

    However, to no avail. I've installed all requirements listed on Qt's wiki article and tried all the solutions mentioned in the above post. Is there any other solution I could try? Thanks!